| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SoSFVec3i32 Class Reference
Field Classes

The SoSFVec3i32 class is a container for an SbVec3i32 vector.This field is used where nodes, engines or other field containers needs to store a single vector with three elements. More...

`#include <Inventor/fields/SoSFVec3i32.h>`

Inheritance diagram for SoSFVec3i32:

## Public Member Functions

virtual SoType | getTypeId (void) const
virtual void | copyFrom (const SoField &field)
const SoSFVec3i32 & | operator= (const SoSFVec3i32 &field)
virtual SbBool | isSame (const SoField &field) const
const SbVec3i32 & | getValue (void) const
void | setValue (const SbVec3i32 &newvalue)
const SbVec3i32 & | operator= (const SbVec3i32 &newvalue)
int | operator== (const SoSFVec3i32 &field) const
int | operator!= (const SoSFVec3i32 &field) const
void | setValue (int32_t x, int32_t y, int32_t z)
void | setValue (const int32_t xyz[3])
Public Member Functions inherited from SoSField
virtual | ~SoSField ()
Public Member Functions inherited from SoField
virtual | ~SoField ()
void | setIgnored (SbBool ignore)
SbBool | isIgnored (void) const
void | setDefault (SbBool defaultVal)
SbBool | isDefault (void) const
SbBool | isOfType (const SoType type) const
void | enableConnection (SbBool flag)
SbBool | isConnectionEnabled (void) const
SbBool | connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void | disconnect (SoEngineOutput *engineoutput)
SbBool | isConnectedFromEngine (void) const
SbBool | getConnectedEngine (SoEngineOutput *&master) const
SbBool | connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoField *master, SbBool notnotify=FALSE)
void | disconnect (SoField *field)
SbBool | isConnectedFromField (void) const
SbBool | getConnectedField (SoField *&master) const
int | getNumConnections (void) const
int | getForwardConnections (SoFieldList &slavelist) const
int | getConnections (SoFieldList &masterlist) const
void | disconnect (void)
SbBool | isConnected (void) const
void | setContainer (SoFieldContainer *cont)
SoFieldContainer * | getContainer (void) const
SbBool | set (const char *valuestring)
void | get (SbString &valuestring)
SbBool | shouldWrite (void) const
virtual void | touch (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *nlist)
SbBool | enableNotify (SbBool on)
SbBool | isNotifyEnabled (void) const
void | addAuditor (void *f, SoNotRec::Type type)
void | removeAuditor (void *f, SoNotRec::Type type)
int | operator== (const SoField &f) const
int | operator!= (const SoField &f) const
virtual void | connectionStatusChanged (int numconnections)
SbBool | isReadOnly (void) const
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
void | copyConnection (const SoField *fromfield)
virtual SbBool | read (SoInput *input, const SbName &name)
virtual void | write (SoOutput *out, const SbName &name) const
virtual void | countWriteRefs (SoOutput *out) const
void | setFieldType (int type)
int | getFieldType (void) const
SbBool | getDirty (void) const
void | setDirty (SbBool dirty)
void | evaluate (void) const

## Static Public Member Functions

static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoSField
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | atexit_cleanup (void)
Static Public Member Functions inherited from SoField
static void | initClass (void)
static void | initClasses (void)
static void | cleanupClass (void)
static SoType | getClassTypeId (void)

## Protected Attributes

SbVec3i32 | value

## Additional Inherited Members

Public Types inherited from SoField
enum | FieldType { NORMAL_FIELD = 0, EVENTIN_FIELD, EVENTOUT_FIELD, EXPOSED_FIELD }
Protected Member Functions inherited from SoSField
| SoSField (void)

## Detailed Description

The SoSFVec3i32 class is a container for an SbVec3i32 vector.

This field is used where nodes, engines or other field containers needs to store a single vector with three elements.

See Also
  SbVec3i32, SoMFVec3i32

## Member Function Documentation

SoType SoSFVec3i32::getTypeId | ( | void | ) |  | const

virtual

Returns the type identification instance which uniquely identifies the Coin field class the object belongs to.

See Also
  getClassTypeId(), SoType

Implements SoField.

void SoSFVec3i32::copyFrom | ( | const SoField & | f) |  |

virtual

Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

SbBool SoSFVec3i32::isSame | ( | const SoField & | f) |  | const

virtual

Check for equal type and value(s).

Implements SoField.

void SoSFVec3i32::setValue | ( | int32_t | x,
|  | int32_t | y,
|  | int32_t | z
| ) |  |

Set value of vector.

void SoSFVec3i32::setValue | ( | const int32_t | xyz[3]) |  |

Set value of vector.

The documentation for this class was generated from the following files:

- SoSFVec3i32.h
- SoSFVec3i32.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.